version: '2'

services:
  myapp:
    image: 'bitnami/symfony:1'
    ports:
      - '8000:8000'
    volumes:
      - './soap-backend/:/app'
    environment:
      - SYMFONY_PROJECT_NAME=.
      - MARIADB_HOST=mariadb
      - MARIADB_PORT_NUMBER=3306
      - MARIADB_USER=interfell
      - MARIADB_PASSWORD=interfell
      - MARIADB_DATABASE=interfell
    depends_on:
      - mariadb

  mariadb:
    image: 'bitnami/mariadb:10.3'
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_USER=interfell
      - MARIADB_PASSWORD=interfell
      - MARIADB_DATABASE=interfell

  express:
    tty: true
    build: ./rest-client
    environment:
      - PORT=8080
      - NODE_ENV=development
    depends_on:
      - myapp
    ports:
      - 8080:8080
    network_mode: 'host'

  frontend:
    tty: true
    build: ./frontend
    environment:
      - PORT=3000
      - NODE_ENV=development
    depends_on:
      - express
    ports:
      - 3000:3000